Bug 238808 - [exp-run] devel/protobuf: update to 3.8.0
Summary: [exp-run] devel/protobuf: update to 3.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-25 20:19 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2019-07-05 19:21 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2019-06-25 20:19:06 UTC
Update devel/protobuf to 3.8.0

- Bump PORTREVISION of dependent ports for shlib change

Changes:        https://github.com/protocolbuffers/protobuf/releases
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-02 19:20:52 UTC
The fix for mysql is quite simple. The failure of net/spoofer is more complex. I've asked the maintainer if he/she could help.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-03 14:31:06 UTC
Patch updated with fix for mysql{57,80}-server and workaround for spoofer. I've also submitted the workaround to the maintainer.
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-04 18:10:19 UTC
Remove net/spoofer patch. Upstream provides 1.4.5 which fixes the build failure.
Comment 6 Antoine Brodin freebsd_committer 2019-07-04 18:55:07 UTC
Exp-run with version 2 of the patch looks fine
Comment 7 commit-hook freebsd_committer 2019-07-05 19:09:54 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Jul  5 19:08:59 UTC 2019
New revision: 505909
URL: https://svnweb.freebsd.org/changeset/ports/505909

Log:
  Update devel/protobuf to 3.8.0

  - Bump PORTREVISION of dependent ports for shlib change

  Changes:	https://github.com/protocolbuffers/protobuf/releases
  PR:		238808
  Exp-run by:	antoine

Changes:
  head/astro/libosmpbf/Makefile
  head/astro/merkaartor/Makefile
  head/audio/clementine-player/Makefile
  head/audio/mixxx/Makefile
  head/audio/mixxx21/Makefile
  head/audio/mumble/Makefile
  head/audio/murmur/Makefile
  head/databases/clickhouse/Makefile
  head/databases/mysql57-server/Makefile
  head/databases/mysql57-server/files/patch-rapid-plugin-x-ngs-include-ngs_common-protocol_protobuf.h
  head/databases/mysql80-server/Makefile
  head/databases/mysql80-server/files/patch-plugin-x-client-mysqlxclient-xmessage.h
  head/databases/mysql80-server/files/patch-plugin-x-ngs-include-ngs-protocol-protocol_protobuf.h
  head/devel/bloaty/Makefile
  head/devel/grpc/Makefile
  head/devel/ignition-msgs/Makefile
  head/devel/ignition-transport/Makefile
  head/devel/protobuf/Makefile
  head/devel/protobuf/distinfo
  head/devel/protobuf/pkg-plist
  head/devel/protobuf-c/Makefile
  head/dns/dnsdist/Makefile
  head/dns/knot-resolver/Makefile
  head/dns/powerdns/Makefile
  head/dns/powerdns-recursor/Makefile
  head/games/cockatrice/Makefile
  head/games/pink-pony/Makefile
  head/graphics/caffe/Makefile
  head/graphics/opencv/Makefile
  head/graphics/osgearth/Makefile
  head/graphics/qtpbfimageplugin/Makefile
  head/japanese/mozc-server/Makefile
  head/multimedia/vlc/Makefile
  head/net/eternalterminal/Makefile
  head/net/mosh/Makefile
  head/net/spoofer/Makefile
  head/net-mgmt/collectd5/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/qtum/Makefile
  head/science/lm/Makefile
  head/science/paraview/Makefile
  head/security/certificate-transparency/Makefile
  head/sysutils/zbackup/Makefile
  head/www/mod_pagespeed/Makefile
Comment 8 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-05 19:21:44 UTC
Committed. Thanks!